Bug 58378 - hdparm should be available on rescue disk
hdparm should be available on rescue disk
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-15 09:59 EST by Jonathan Kamens
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-16 21:48:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2002-01-15 09:59:00 EST
hdparm should be available in the RAM filesystem you get when you do "linux

Sometimes it is necessary to tweak a hard drive's parameters after boot, e.g.,
when you suddenly realize that a drive that shouldn't be running with DMA
enabled is, in fact, running with DMA enabled and the drive is about to get

I realize that it is possible to emulate some of hdparm's functionality by
echoing commands to a file in /proc.  But really, 99% of sysadmins don't know
how to do that and shouldn't have to.  Certainly, when they're in the middle of
trying to repair a damaged filesystem is not the time to learn how to do
something like that.

hdparm is only 40KB.  Surely it can't be impossible to find the space for it.
Comment 1 Michael Fulbright 2002-01-16 15:15:59 EST
You should be using ide=nodma if that is the issue.

We will consider adding hdparm nonetheless.
Comment 2 Jonathan Kamens 2002-01-16 21:48:03 EST
Look, I really don't think you're considering this scenario realistically.

People set up a configuration that works and then forget about it.  When an
admin goes back to a broken machine, perhaps a year after he set it up, there's
no way in hell that he's going to remember that he put "ide=nodma" in the LILO
or grub configuration.  So why should he remember to type "ida=nodma" when he
boots rescue mode?

On the other hand, when he sees "dmesg" start to spew messages about hard drive
errors, it's quite possible that he'll say to himself, "Oh, shit, I'm not
supposed to use DMA on these drives!  I need to run hdparm to turn it off!"  But
lo and behold, he can't, because hdparm isn't there.

By its very nature, a rescue disk needs to be paranoid.  What goes does a rescue
mode do if it makes it entirely too easy to screw up the system even more than
it's already screwed up?
Comment 3 Jeremy Katz 2002-01-21 20:41:42 EST
Added in CVS

Note You need to log in before you can comment on or make changes to this bug.